• 0

    posted a message on Assessment - Official Thread
    Quote from usul356 »

    Great addon btw I really like it. One problem with the latest version though is it seems to have killed Omen. I have Omen version 2.1r61751 and it no longer shows any aggro lists since the last update of assessment. I hope this is an easy fix and thanks again for the great addon. Keep up the good work.

    This is the Threat-1.0 change mentioned earlier. You can install Threat-1.0 as a standalone lib (or delete the Threat-1.0 lib from Assessment).

    Now I'm just wondering why all of the default Healing* data sets disappeared from Assessment, since around 2/20. I'll probably just copy them from an older version, since the recent versions haven't re-added them.

    Edit: Nevermind. The missing Healing and Crowd Control sets were due to the bad LibBabble-Spell-3.0 line in embeds.xml
    Posted in: General AddOns
  • 0

    posted a message on Prat: Chat Mod Framework
    Quote from sylvanaar »

    Quote from groll »

    Quote from groll »

    The prat tbc version (should be latest one) makes me get an error when i try to do a macro...that x ui has caused something that is only allowed to be done by the blizzard ui. It refers to any ui though but it only happends if i have prat enabled.


    just wondering if anyone has checked up on this? Sorry that i dont have any more info but i dont get any more error messages etc.


    EDIT: I made the changes to the latest TBC build. They should fix this issue and the telltarget issue. If not, please let me know.

    Using the latest version (18962), I was still getting this error whenever I tried to use /target from the command line.

    Disabling all addons except Prat, I found a couple of problems with the Chatlink and TellTarget modules. After removing both modules from Prat.toc, I haven't had any problems so far.

    Some debugging, if it helps:

    1) After disabling all addons except Prat and got this error:
    Prat.lua:36: AceAddon: AceOO-2.0: Library "AceHook-2.1" does not exist

    2) I copied AceHook-2.1 from Ace2-r18618[TBC] and got a new error:
    Prat\modules\Chatlink.lua:102: AceHook-2.1: Attempt to hook secure function SendChatMessage. Use 'SecureHook' or add 'true' to the argument

    3) I replaced Hook() with SecureHook on L102, relogged, and got:
    ChatLink.lua:124: attempt to call field 'SendChatmessage' (a nil value)

    4) So I disabled the ChatLink module for now.

    5) Now (with just Prat enabled) /target continued to give the "Prat has been blocked" error. Removing TellTarget from Prat.toc fixed this.


    (#3 was actually done after #5 but is listed here for readability. After disabling TellTarget, I went back and turned ChatLink on, resulting in #3).

    I don't have Ace2 installed (I was just using it to extract the missing libs). I'm using only the embedded libs.
    Posted in: General AddOns
  • To post a comment, please or register a new account.